Resent-Date: Mon, 1 Nov 1999 18:52:13 +0100 (MET)
X-Authentication-Warning: callisto.of.borg: geert owned process doing -bs
Date: Mon, 1 Nov 1999 18:51:25 +0100 (CET)
From: Geert Uytterhoeven <geert@linux-m68k.org>
Sender: geert@linux-m68k.org
To: Jes Sorensen <Jes.Sorensen@cern.ch>
cc: Linux/m68k <linux-m68k@lists.linux-m68k.org>
Subject: Re: 2.3.22
In-Reply-To: <199911011412.PAA03394@lxp03.cern.ch>
Resent-From: linux-m68k@phil.uni-sb.de

On Mon, 1 Nov 1999, Jes Sorensen wrote:
> Anyway I have just released 2.3.22 - yes I know, it's not quite 2.3.25
> yet, but at least it's a lot closer than the previous 2.3.16
> release. There are some major changes in 2.3.23 and I don't have time to
> deal with that right now. I have tried to apply the patches I found in
> my mailbox, however patches that didn't apply cleanly were mostly just
> deleted - in particular I tried the syscall stack patch, but with that
> applied the kernel no longer boots (Roman as a side note, please keep
> asm macros in upper case to distinguis them from asm code).

And now it boots on my A4000/040!

First patches:

  - CONFIG_PCI must be set to `n' if no PCI is present, to prevent us from
    being asked about PCI devices due to `if [ "$CONFIG_PCI" != "n" ]' tests.
  - Don't include <linux/pci.h> if we don't have PCI (or should this be
    allowed?)
  - <linux/pci.h> now includes <asm/pci.h>, so we need include/asm-m68k/pci.h,
    at least for the Hades. In fact this can serve as an `alternative fix' for
    the above problem, but I prefer clean fixes.

--- m68k-2.3.22/arch/m68k/config.in.orig	Mon Nov  1 18:38:44 1999
+++ m68k-2.3.22/arch/m68k/config.in	Mon Nov  1 18:38:34 1999
@@ -20,6 +20,9 @@
       define_bool CONFIG_PCI y
    fi  
 fi
+if [ "$CONFIG_HADES" != "y" ]; then
+  define_bool CONFIG_PCI n
+fi  
 bool 'Macintosh support' CONFIG_MAC
 if [ "$CONFIG_MAC" = "y" ]; then
    define_bool CONFIG_NUBUS y
--- m68k-2.3.22/drivers/block/ide.c.orig	Mon Nov  1 17:12:43 1999
+++ m68k-2.3.22/drivers/block/ide.c	Mon Nov  1 17:12:16 1999
@@ -133,7 +133,9 @@
 #include <linux/genhd.h>
 #include <linux/blkpg.h>
 #include <linux/malloc.h>
+#ifdef CONFIG_PCI
 #include <linux/pci.h>
+#endif
 #include <linux/delay.h>
 #include <linux/ide.h>
 
--- m68k-2.3.22/include/asm-m68k/pci.h.orig	Mon Nov  1 17:10:53 1999
+++ m68k-2.3.22/include/asm-m68k/pci.h	Mon Nov  1 17:11:56 1999
@@ -0,0 +1,11 @@
+#ifndef __m68k_PCI_H
+#define __m68k_PCI_H
+
+/* Can be used to override the logic in pci_scan_bus for skipping
+   already-configured bus numbers - to be used for buggy BIOSes
+   or architectures with incomplete PCI setup by the loader */
+
+#define pcibios_assign_all_busses()	0
+
+#endif /* __m68k_PCI_H */
+

Gr{oetje,eeting}s,
--
Geert Uytterhoeven -- Linux/{m68k~Amiga,PPC~CHRP} -- geert@linux-m68k.org

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
							    -- Linus Torvalds

